V1Products

商品登録

POST
/v1/products

商品登録 *referenceIdは一意である必要があります。

X-Proteger-Auth-Token<token>

In: header

Header Parameters

X-Proteger-Auth-Token*string

protegerAccessToken

Content-Type*string

application/json

Accept*string

application/json

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/products" \  -H "X-Proteger-Auth-Token: string" \  -H "Content-Type: string" \  -H "Accept: string" \  -H "Content-Type: application/json" \  -d '{    "referenceId": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "title": "ノートPC",    "price": 10000,    "imageUrl": "https://helloproteger.com/image/10vj12.png",    "category": "パソコン"  }'
{  "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",  "referenceId": "c10a0882-2b11-633d-7de6-0563bbf9dbed",  "title": "ノートPC",  "price": 10000,  "imageUrl": "https://helloproteger.com/image/10vj12.png",  "category": "パソコン",  "brand": "Apple",  "createdAt": "2021-01-31T13:16:06.239289+09:00",  "updatedAt": "2021-01-31T13:16:06.239289+09:00",  "plans": [    {      "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",      "storeReferenceId": "001",      "title": "1年延長保証",      "price": 2000,      "termLength": 12,      "serviceType": "Repair",      "protectionType": "Base",      "url": "string"    }  ],  "mfrWarranty": {    "coverageDays": 365,    "url": "https://helloproteger.com/warranty/detail"  }}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}